Bug 1915971 - Role and Role Binding breadcrumbs do not work as expected
Summary: Role and Role Binding breadcrumbs do not work as expected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: David Taylor
QA Contact: Xiyun Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-13 20:32 UTC by bmignano
Modified: 2021-07-27 22:36 UTC (History)
5 users (show)

Fixed In Version: 4.8.0-0.nightly-2021-03-26-054333
Doc Type: Bug Fix
Doc Text:
Cause: Previously if you click into a Cluster Role from the User Management -> Roles list view, the breadcrumb from that details page is "ClusterRoles" and brings you to the generic list view of Cluster Roles. Instead, the breadcrumb on details page should be "Roles" and should redirect you to the User Management -> Roles list view from which you clicked into the ClusterRole details page. The same goes for Cluster Role Bindings details page from Role Bindings list view. Consequence: Breadcrumb doesn't bring you back to previous page you were on; instead brings you to a generic cluster role/bindings list page. Fix: The breadcrumb on any Cluster Role/RoleBindings details page should should redirect you to the Role/Bindings list view from which you clicked into the Cluster Role/RoleBinding details page. Result: Breadcrumb text on ClusterRole and ClusterRoleBindings details pages changed from "ClusterRole" and "ClusterRoleBindings" to "Roles" and "RoleBindings" and navigates user back to User Management -> Roles/RoleBindings list view from which they had originally come from.
Clone Of:
Environment:
Version: 4.7.0-0.nightly-2021-01-13-054018 Cluster ID: b697c68d-d532-4c80-a8ea-c3163fb63c52 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36
Last Closed: 2021-07-27 22:36:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8010 0 None open Bug 1915971: Role and Role Binding breadcrumbs do not work as expected 2021-02-09 15:06:06 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:36:27 UTC

Description bmignano 2021-01-13 20:32:41 UTC
Description of problem:
Today if you click into a Cluster Role from the Roles list view, the breadcrumb from that details page brings you to the generic list view of Cluster Roles. Instead, the breadcrumb should be "Roles" and should redirect you to the Roles list view from which you clicked into the Role.

The same goes for Role Bindings and Cluster Role Bindings. The breadcrumb on any Cluster Role Bindings details page should be "Role Bindings" and should redirect you to the Role Bindings list view from which you clicked into the Role Binding.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Go to Roles
2. Click into a Cluster Role
3. Click the breadcrumb

Actual results:
The breadcrumb reads "Cluster Roles" and brings you to a generic list view of Cluster Roles.


Expected results:
The breadcrumb should read "Roles" and bring you back to the Roles list view.


Additional info:
PD story: https://issues.redhat.com/browse/PD-764

Comment 1 Jakub Hadvig 2021-01-15 18:41:58 UTC
We will address this issue next sprint.

Comment 4 Xiyun Zhao 2021-03-29 04:06:04 UTC
Bug has been verified on OCP 4.8 with payload 4.8.0-0.nightly-2021-03-26-054333

Verify Step:
1. Nevigate to 'Roles' page under User Managemnet
2. Click into one Cluster Role 
3. One the Role details page, click on the breadcrumb which shown upon the Role's name
4. Verify if user can redirect you to the roles list view after clicked the 'Roles' that on breadcrumb
5. Do the same steps for 'Role Bindings' page, verify if user can redirect to role bindings list view after clicked the 'RoleBindins' on breadcrumb

Result:
Roles and RoleBindings list view ca be redirected correctly after user trigger the redirect action on breadcrumb

Comment 7 errata-xmlrpc 2021-07-27 22:36:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.